Bug 205509 - JJ: add dbus functions to update podcasts and download podcast tracks
Summary: JJ: add dbus functions to update podcasts and download podcast tracks
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: D-Bus interfaces (show other bugs)
Version: 2.1
Platform: Ubuntu Packages Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2009-08-28 17:59 UTC by andreaswuest
Modified: 2013-06-19 22:09 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments
Proposed Patch to update and add new podcast (2.93 KB, patch)
2013-06-01 20:55 UTC, Shubham Chaudhary
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreaswuest 2009-08-28 17:59:47 UTC
Version:           2.1 (using KDE 4.3.0)
Installed from:    Ubuntu Packages

Hi,

please add dbus functions to update the podcasts and to download individual podcast tracks. this way it would be possible to add features to amarok by writing scripts. 

cheers,
andy
Comment 1 Bart Cerneels 2012-04-02 08:31:48 UTC
Doable as a junior job.
Comment 2 Shubham Chaudhary 2013-06-01 20:55:40 UTC
Created attachment 80241 [details]
Proposed Patch to update and add new podcast

Please take a look at this patch and let me know if I messed up something.
Comment 3 Mark Kretschmann 2013-06-19 22:09:24 UTC
Git commit c894719060e4fb0e98fac14bc787ca2cc0e1c890 by Mark Kretschmann, on behalf of Shubham Chaudhary.
Committed on 19/06/2013 at 22:06.
Pushed by markey into branch 'master'.

Add dbus methods for updating podcasts and adding new podcasts.

Bug 205509 - JJ: add dbus functions to update podcasts and download podcast tracks
I added two new methods for dbus: UpdateAllPodcast and AddPodcast

REVIEW: 110855
FIXED-IN: 2.8

M  +31   -2    src/dbus/mpris1/TrackListHandler.cpp
M  +2    -0    src/dbus/mpris1/TrackListHandler.h
M  +7    -0    src/dbus/mpris1/org.freedesktop.MediaPlayer.tracklist.xml

http://commits.kde.org/amarok/c894719060e4fb0e98fac14bc787ca2cc0e1c890